Subject: bug#61394: 30.0.50; [PATCH] Image-dired thumb name based on content

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Aug 2023 21:30:33 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 03 Aug 2023 18:51:28 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> +(defun image-dired-update-thumbnail-at-point ()
> >> +  "Update the thumbnail at point if the original image file has been
> >> +modified.  Take care of uncaching and removing the old thumbnail
> >> +file."
> >
> > The first line of the doc string should be a single complete sentence.
> > (Just move the "modified" part to the first line, I think there's
> > enough space there.)
> 
> I don't understand.  "Update the thumbnail at point." does not seem
> sufficient because the fact that the original image might be modified is
> the main point of this function.

What I had in mind is this:

 (defun image-dired-update-thumbnail-at-point ()
   "Update the thumbnail at point if the original image file has been modified.
 This function uncaches and removes the thumbnail file under the old name."

OK?

> What about:
> 
> "When 'image-dired-thumb-naming' is set to 'sha1-contents', 'thumb' and
> 'old-thumb' could be different file names.  Update the thumbnail then."

Much better, thanks.